Flexible NoSQL hotness. With search.

4. REST API

The ThriftDB API is designed to be as RESTful as possible and utilizes the full range of HTTP/1.1 status codes and methods. Currently, all communication with the server is in JSON. We have plans to add other protocols soon so please let us know about your favorite data formats (contact@thriftdb.com).

Endpoints

Endpoint Description HTTP Methods
/{bucket} Create/Read/Delete a bucket PUT, GET, DELETE
/{bucket}/{collection} Create/Read/Update/Delete a collection PUT, GET, DELETE
/{bucket}/{collection}/{item_id} Create/Read/Update/Delete an item PUT, GET, DELETE
/{bucket}/{collection}/_search Search items in collection GET
/{bucket}/{collection}/_bulk/put_multi Create/Update multiple items POST
/{bucket}/{collection}/_bulk/get_multi Fetch multiple items GET
/{bucket}/{collection}/_bulk/delete_multi Delete multiple items POST
/{bucket}/{collection}/_bulk/reindex Reindex data items POST

Universal URL Arguments

Argument Description
callback The name of the callback function to wrap the result. No default value exists.
pretty_print Format the result in a more human-readable way. Default is false.
suppress_status_codes Return all responses with HTTP 200 OK status code - even errors.

« Prev Next »